Atk::StreamableContent Class Reference

The ATK interface which provides access to streamable content. More...

`#include <atkmm/streamablecontent.h>`

Inheritance diagram for Atk::StreamableContent:
[legend]

## Public Member Functions

| StreamableContent (StreamableContent && src) noexcept
StreamableContent & | operator= (StreamableContent && src) noexcept
| ~StreamableContent () noexcept override
AtkStreamableContent * | gobj ()
| Provides access to the underlying C GObject.
const AtkStreamableContent * | gobj () const
| Provides access to the underlying C GObject.
int | get_n_mime_types () const
| Gets the number of mime types supported by this object.
Glib::ustring | get_mime_type (int i) const
| Gets the character string of the specified mime type.
Glib::RefPtr< Glib::IOChannel > | get_stream (const Glib::ustring & mime_type)
| Gets the content in the specified mime type.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| StreamableContent ()
| You should derive from this class to use it.
virtual int | get_n_mime_types_vfunc () const
virtual const gchar * | get_mime_type_vfunc (int i) const
virtual GIOChannel * | get_stream_vfunc (const Glib::ustring & mime_type)

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::StreamableContent > | wrap (AtkStreamableContent * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface which provides access to streamable content.

## Constructor & Destructor Documentation

## StreamableContent() [1/2]

Atk::StreamableContent::StreamableContent | ( |  | ) |

protected

You should derive from this class to use it.

## StreamableContent() [2/2]

Atk::StreamableContent::StreamableContent | ( | StreamableContent && | src | ) |

noexcept

## ~StreamableContent()

Atk::StreamableContent::~StreamableContent | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

void Atk::StreamableContent::add_interface | ( | GType | gtype_implementer | ) |

static

## get_mime_type()

Glib::ustring Atk::StreamableContent::get_mime_type | ( | int | i | ) | const

Gets the character string of the specified mime type.

The first mime type is at position 0, the second at position 1, and so on.

Parameters

  i | A int representing the position of the mime type starting from 0.

Returns
  A gchar* representing the specified mime type; the caller should not free the character string.

## get_mime_type_vfunc()

virtual const gchar * Atk::StreamableContent::get_mime_type_vfunc | ( | int | i | ) | const

protected virtual

## get_n_mime_types()

int Atk::StreamableContent::get_n_mime_types | ( |  | ) | const

Gets the number of mime types supported by this object.

Returns
  A int which is the number of mime types supported by the object.

## get_n_mime_types_vfunc()

virtual int Atk::StreamableContent::get_n_mime_types_vfunc | ( |  | ) | const

protected virtual

## get_stream()

Glib::RefPtr< Glib::IOChannel > Atk::StreamableContent::get_stream | ( | const Glib::ustring & | mime_type | ) |

Gets the content in the specified mime type.

Parameters

  mime_type | A gchar* representing the mime type.

Returns
  A IOChannel which contains the content in the specified mime type.

## get_stream_vfunc()

virtual GIOChannel * Atk::StreamableContent::get_stream_vfunc | ( | const Glib::ustring & | mime_type | ) |

protected virtual

## get_type()

GType Atk::StreamableContent::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

AtkStreamableContent * Atk::StreamableContent::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkStreamableContent * Atk::StreamableContent::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

StreamableContent & Atk::StreamableContent::operator= | ( | StreamableContent && | src | ) |

noexcept

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::StreamableContent > wrap | ( | AtkStreamableContent * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.